
BeginPackage["Ndsolve`"]

Ndsolve::usage = "Ndsolve is a custom version of NDSolve designed to support
PhaseScope"

Begin["`private`"]

Ndsolve[eqs_List,vars_List,rng_List,opts___] :=
   Nds[eqs,vars,rng,
       AccuracyGoal     /. {opts} /. Options[NDSolve],
       WorkingPrecision /. {opts} /. Options[NDSolve],
       MaxSteps         /. {opts} /. Options[NDSolve],
       StartingStepSize /. {opts} /. Options[NDSolve] ]


Nds[eqs_,vars_,rng_,
     AG_,WP_Integer,MS_Integer,SSS_] :=
	Block[{i,sol,sl},	
		sol = Flatten[NDSolve[eqs,vars,Take[rng,3],
		      AccuracyGoal->AG,
		      WorkingPrecision->WP,
		      MaxSteps->MS,
		      StartingStepSize->SSS]];
		sl  = {First[rng]};
		For[i=1 , i <= Length[vars] , i++ ,
  		   sl = Append[sl,sol[[i,2]][First[rng]]]
		];
		SetPrecision[InputForm[Flatten[Table[sl,rng]]],4]   		
	]

End[]

EndPackage[]