(*^

::[paletteColors = 128; 
	fontset = text, "Times", 14, L2, nohscroll;
	fontset = smalltext, "Times", 12, L2, nohscroll;
	fontset = special1, "Times", 24, L2, center, italic, nowordwrap;
	fontset = special2, "Times", 20, L2, center, italic, nowordwrap;
	fontset = special3, "Times", 16, L2, italic, nowordwrap;
	fontset = special4, "New York", 16, L2, nowordwrap;
	fontset = special5, "New York", 20, L2, nowordwrap;]
:[font = title; inactive; ]
Transform-Based Analysis
:[font = title; inactive; ]
of Discrete-Time Systems
:[font = text; inactive; ]

:[font = section; inactive; ]
EE3221 Final Problem Set
:[font = text; inactive; ]
Problem 10.26, 10.27, 10.35, and 10.36 are due June 4, 1992
:[font = text; inactive; ]
You may have to use Mathematica for 10.27
:[font = text; inactive; ]
Brian Evans (evans@eedsp.gatech.edu) will have office hours in the Mac
laboratory on Monday (6/1) and Wedneday (6/3) from 8:00 - 10:00 PM
:[font = section; inactive; ]
Sample Problem Solved Using Mathematica
:[font = text; inactive; ]
	Given the difference equation
:[font = input; ]
y[n-1] - 5/2 y[n] + y[n+1] == x[n]
:[font = text; inactive; ]
with zero initial conditions, perform analysis based on the z-transform and discrete-time Fourier transforms.
:[font = text; inactive; ]
	Before performing any analysis, the digital signal processing packages will be loaded into Mathematica:
:[font = input; startGroup; Cclosed; ]
Needs[ "SignalProcessing`Digital`" ]
:[font = print; inactive; startGroup; ]
Loading version 2.68 of the signal processing\
 
  support packages ...
:[font = print; inactive; ]
Support module has been loaded.
:[font = print; inactive; ]
The knowledge base of signal processing operators\
 
  has been loaded.
:[font = print; inactive; ]
Supporting routines for filter design are loaded.
:[font = print; inactive; ]
Region of convergence routines for the transform\
 
  rule bases are loaded.
:[font = print; inactive; ]
Piecewise convolution rules have been loaded.
:[font = print; inactive; ]
Supporting routines for transform rule bases are\
 
  loaded.
:[font = message; inactive; ]
support::loaded: 
   Supporting routines, objects, and rules for the
    signal processing package have been loaded
    successfully.
:[font = message; inactive; ]
support::change: 
   The loading process has changed such that the
    files Tree.m and DataType.m are no longer
    automatically loaded (the signal processing
    packages no longer rely on the definitions in
    these files).
:[font = print; inactive; ]
Loading version 2.68 of the digital signal\
 
  processing packages ...
:[font = print; inactive; ]
Supporting routines for the z-transform rule\
 
  bases are loaded.
:[font = print; inactive; ]
The supporting functions are loaded for symbolic\
 
  Fourier transforms.
:[font = print; inactive; ]
The forward z-transform rules have been loaded.
:[font = print; inactive; ]
The inverse z-transform rules have been loaded.
:[font = print; inactive; ]
The discrete-time Fourier transform (DTFT) rule\
 
  bases are loaded.
:[font = print; inactive; ]
Correlation functions are now loaded.
:[font = print; inactive; ]
ZSolve, a difference equation solver, is loaded.
:[font = print; inactive; ]
The digital signal analyzer is now loaded.
:[font = print; inactive; ]
The discrete Fourier transform (DFT) rule bases\
 
  are loaded.
:[font = message; inactive; ]
digital::loaded: 
   Routines, objects, and rules for the digital
    signal processing packages have been loaded
    successfully.
:[font = print; inactive; ]

:[font = print; inactive; ]
Digital signal processing extensions have been\
 
  defined.
:[font = print; inactive; ]
Good starting points are the objects DSPAnalyze\
 
  and ZTransform.
:[font = print; inactive; ]
Active packages are maintained in $Packages.
:[font = print; inactive; ]
  Evaluate SPsignals for a list of all new\
 
  signals (functions).
:[font = print; inactive; ]
  Evaluate SPoperators for a list of all new\
 
  operators (systems).
:[font = print; inactive; ]
  Evaluate SPfunctions for a list of all new\
 
  routines.
:[font = print; inactive; ]
Use SPSimplify to simplify signal processing\
 
  expressions.
:[font = print; inactive; endGroup; endGroup; ]

:[font = text; inactive; ]
(output of the Needs command is not shown)
:[font = subsection; inactive; ]
(a) Find the transfer function H(z) = Y(z) / X(z)
:[font = text; inactive; ]
	First, take the z-transform of the both sides:
:[font = input; startGroup; ]
z^-1 Y[z] - 5/2 Y[z] + z Y[z] == X[z]
:[font = output; inactive; output; endGroup; ]
(-5*Y[z])/2 + Y[z]/z + z*Y[z] == X[z]
;[o]
-5 Y[z]   Y[z]
------- + ---- + z Y[z] == X[z]
   2       z
:[font = text; inactive; ]
We use a double equal sign == to denote equality.  The single equal sign would try to assign values to variables which we do not want to do yet.
:[font = text; inactive; pageBreak; ]
	Next, factor out the Y[z] term from the left-hand side:
:[font = input; startGroup; ]
( z^-1 - 5/2 + z ) Y[z] == X[z]
:[font = output; inactive; output; endGroup; ]
(-5/2 + z^(-1) + z)*Y[z] == X[z]
;[o]
   5    1
(-(-) + - + z) Y[z] == X[z]
   2    z
:[font = text; inactive; ]
Divide both sides by X[z] and the quantity in front of Y[z] to get H[z]:
:[font = input; startGroup; ]
H[z] = 1 / ( z^-1 - 5/2 + z )
:[font = output; inactive; output; endGroup; ]
(-5/2 + z^(-1) + z)^(-1)
;[o]
     1
------------
  5    1
-(-) + - + z
  2    z
:[font = text; inactive; ]
We use a single equal sign here to define the H[z] as our function.
:[font = subsection; inactive; ]
(b) Plot the pole-zero diagram of H(z)
:[font = text; inactive; ]
	In order to generate the pole-zero plot, we will need to choose a region of convergence that does not contain any of the poles of the transfer function.  We can see the roots of the denominator by factoring it
:[font = input; startGroup; ]
Factor[ z^-1 - 5/2 + z ]
:[font = output; inactive; output; endGroup; ]
((-2 + z)*(-1 + 2*z))/(2*z)
;[o]
(-2 + z) (-1 + 2 z)
-------------------
        2 z
:[font = text; inactive; ]
or by computing the numerical roots 
:[font = input; startGroup; ]
GetRootList[ z^-1 - 5/2 + z, z ]
:[font = output; inactive; output; endGroup; ]
{0.5, 2.}
;[o]
{0.5, 2.}
:[font = text; inactive; ]
We will choose the middle region of convergence from 1/2 to 2:
:[font = input; startGroup; ]
PoleZeroPlot[ H[z], z, 1/2, 2, True ]
:[font = print; inactive; startGroup; ]
The zeroes are:  {0.}
:[font = print; inactive; ]
The poles are:   {0.5, 2.}
:[font = postscript; inactive; PostScript; output; endGroup; pictureLeft = 58; pictureWidth = 322; pictureHeight = 322; preserveAspect; ]
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
% Scaling calculations
0.5 0.2 0.5 0.2 [
[(-2)] 0.1 0.4875 0 1 Msboxa
[(-1)] 0.3 0.4875 0 1 Msboxa
[(1)] 0.7 0.4875 0 1 Msboxa
[(2)] 0.9 0.4875 0 1 Msboxa
[(Re z)] 1.00625 0.5 -1 0 Msboxa
[(-2)] 0.4875 0.1 1 0 Msboxa
[(-1)] 0.4875 0.3 1 0 Msboxa
[(1)] 0.4875 0.7 1 0 Msboxa
[(2)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1.00625 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
0.1 0.49375 moveto
0.1 0.50625 lineto
stroke
0 setgray
[(-2)] 0.1 0.4875 0 1 Mshowa
0.3 0.49375 moveto
0.3 0.50625 lineto
stroke
0 setgray
[(-1)] 0.3 0.4875 0 1 Mshowa
0.7 0.49375 moveto
0.7 0.50625 lineto
stroke
0 setgray
[(1)] 0.7 0.4875 0 1 Mshowa
0.9 0.49375 moveto
0.9 0.50625 lineto
stroke
0 setgray
[(2)] 0.9 0.4875 0 1 Mshowa
0 setgray
[(Re z)] 1.00625 0.5 -1 0 Mshowa
0.5 0 moveto
0.5 1 lineto
stroke
0.49375 0.1 moveto
0.50625 0.1 lineto
stroke
0 setgray
[(-2)] 0.4875 0.1 1 0 Mshowa
0.49375 0.3 moveto
0.50625 0.3 lineto
stroke
0 setgray
[(-1)] 0.4875 0.3 1 0 Mshowa
0.49375 0.7 moveto
0.50625 0.7 lineto
stroke
0 setgray
[(1)] 0.4875 0.7 1 0 Mshowa
0.49375 0.9 moveto
0.50625 0.9 lineto
stroke
0 setgray
[(2)] 0.4875 0.9 1 0 Mshowa
0 setgray
[(Im z)] 0.5 1.00625 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.5 0.5 0.2 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
0.5 0.5 0.1 0 365.729578 arc
stroke
grestore
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.87588 0.63681 moveto
0.59397 0.5342 lineto
stroke
0.40078 0.48754 moveto
0.1171 0.38429 lineto
stroke
0.40062 0.51113 moveto
0.11125 0.4058 lineto
stroke
0.40716 0.53715 moveto
0.10658 0.42775 lineto
stroke
0.42655 0.56786 moveto
0.10312 0.45014 lineto
stroke
0.82308 0.73583 moveto
0.10091 0.47299 lineto
stroke
0.80878 0.75428 moveto
0.10002 0.49631 lineto
stroke
0.79309 0.77221 moveto
0.10051 0.52014 lineto
stroke
0.77591 0.78961 moveto
0.10248 0.5445 lineto
stroke
0.75712 0.80642 moveto
0.10608 0.56946 lineto
stroke
0.73653 0.82257 moveto
0.11146 0.59507 lineto
stroke
0.71392 0.83799 moveto
0.11887 0.62141 lineto
stroke
0.68896 0.85256 moveto
0.12863 0.64861 lineto
stroke
0.66117 0.86609 moveto
0.14121 0.67684 lineto
stroke
0.62985 0.87834 moveto
0.15734 0.70636 lineto
stroke
0.59377 0.88885 moveto
0.17822 0.73761 lineto
stroke
0.55059 0.89679 moveto
0.20619 0.77144 lineto
stroke
0.49433 0.89996 moveto
0.24725 0.81003 lineto
stroke
0.75275 0.18997 moveto
0.50567 0.10004 lineto
stroke
0.79381 0.22856 moveto
0.44941 0.10321 lineto
stroke
0.82178 0.26239 moveto
0.40623 0.11115 lineto
stroke
0.84266 0.29364 moveto
0.37015 0.12166 lineto
stroke
0.85879 0.32316 moveto
0.33883 0.13391 lineto
stroke
0.87137 0.35139 moveto
0.31104 0.14744 lineto
stroke
0.88113 0.37859 moveto
0.28608 0.16201 lineto
stroke
0.88854 0.40493 moveto
0.26347 0.17743 lineto
stroke
0.89392 0.43054 moveto
0.24288 0.19358 lineto
stroke
0.89752 0.4555 moveto
0.22409 0.21039 lineto
stroke
0.89949 0.47986 moveto
0.20691 0.22779 lineto
stroke
0.89998 0.50369 moveto
0.19122 0.24572 lineto
stroke
0.89909 0.52701 moveto
0.17692 0.26417 lineto
stroke
0.48735 0.4008 moveto
0.16392 0.28308 lineto
stroke
0.45276 0.41186 moveto
0.15218 0.30246 lineto
stroke
0.43102 0.4276 moveto
0.14165 0.32227 lineto
stroke
0.41598 0.44577 moveto
0.1323 0.34252 lineto
stroke
0.40603 0.4658 moveto
0.12412 0.36319 lineto
stroke
0.8677 0.65748 moveto
0.58402 0.55423 lineto
stroke
0.8829 0.61571 moveto
0.59922 0.51246 lineto
stroke
0.85835 0.67773 moveto
0.56898 0.5724 lineto
stroke
0.88875 0.5942 moveto
0.59938 0.48887 lineto
stroke
0.84782 0.69754 moveto
0.54724 0.58814 lineto
stroke
0.89342 0.57225 moveto
0.59284 0.46285 lineto
stroke
0.83608 0.71692 moveto
0.51265 0.5992 lineto
stroke
0.89688 0.54986 moveto
0.57345 0.43214 lineto
stroke
grestore
grestore
gsave
gsave
0 setgray
gsave
Bold 18 scalefont setfont
[(O)] 0.5 0.5 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0 setgray
gsave
Bold 18 scalefont setfont
[(X)] 0.6 0.5 0 0 Mshowa
grestore
0 setgray
gsave
Bold 18 scalefont setfont
[(X)] 0.9 0.5 0 0 Mshowa
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; inactive; output; endGroup; ]
{0.5, 2.}
;[o]
{0.5, 2.}
:[font = text; inactive; ]
Notice that the pole-zero plot indicates the poles by X's.  The unit circle is drawn with the dark continuous line.  The region of convergence is shaded with the dotted circles indicating Rminus and Rplus.
:[font = subsection; inactive; ]
(c) Determine the three possible regions of convergence for H[z]
:[font = text; inactive; ]
	The roots for H[z] have already been computed as 1/2 and 2.  The three possible regions of convergence are (0,1/2), (1/2, 2), and (2, Infinity). 
:[font = subsection; inactive; ]
(d) Find the impulse responses for each region of convergence
:[font = text; inactive; ]
	This can be accomplished by the inverse z-transform routine.
:[font = subsubsection; inactive; pageBreak; ]
ROC of (0, 1/2)
:[font = input; startGroup; ]
InvZTransform[ {H[z], 0, 1/2}, z, n ]
:[font = print; inactive; startGroup; ]
( after the term
:[font = print; inactive; ]
        1
  -------------
       -2    5
  1 + z   - ---
            2 z
:[font = print; inactive; ]
  has been broken up into its partial
:[font = print; inactive; ]
  fractions representation using Apart
:[font = print; inactive; ]
      2            4
  ---------- - ---------- )
          1            2
  3 (-2 + -)   3 (-1 + -)
          z            z
:[font = output; inactive; output; endGroup; endGroup; ]
Shift[1, n][(((1/2)^n - 4*2^n)*Step[-1 - n])/3]
;[o]
                1 n      n
              ((-)  - 4 2 ) Step[-1 - n]
                2
Shift        [--------------------------]
     1  in  n             3
:[font = text; inactive; ]
The shift can be applied to the rest of the expression by evaluating
:[font = input; startGroup; ]
h1[n] = Simplify[ TheFunction[ % ] ]
:[font = output; inactive; output; endGroup; ]
(2*((1/2)^n - 2^n)*Step[-n])/3
;[o]
    1 n    n
2 ((-)  - 2 ) Step[-n]
    2
----------------------
          3
:[font = subsubsection; inactive; ]
ROC of (1/2, 2)
:[font = text; inactive; ]
	For this example, we will disable the dialogue in the inverse z-transform: 
:[font = input; startGroup; pageBreak; ]
InvZTransform[ {H[z], 1/2, 2}, z, n,
                Dialogue -> False ]
:[font = output; inactive; output; endGroup; ]
Shift[1, n][-(4*2^n*Step[-1 - n] + 
      (1/2)^n*Step[n])/3]
;[o]
                   n                 1 n
              -(4 2  Step[-1 - n] + (-)  Step[n])
                                     2
Shift        [-----------------------------------]
     1  in  n                  3
:[font = input; startGroup; ]
h2[n] = Simplify[ TheFunction[ % ] ]
:[font = output; inactive; output; endGroup; ]
(-2*((1/2)^n*Step[-1 + n] + 2^n*Step[-n]))/3
;[o]
     1 n                 n
-2 ((-)  Step[-1 + n] + 2  Step[-n])
     2
------------------------------------
                 3
:[font = subsubsection; inactive; ]
ROC of (1/2, 2)
:[font = text; inactive; ]
	For this example, we will disable the dialogue in the inverse z-transform and combine the simplification of its output:
:[font = input; startGroup; ]
h3[n] =
  Simplify[
    TheFunction[
      InvZTransform[ {H[z], 2, Infinity}, z, n,
                     Dialogue -> False ] ] ]
:[font = output; inactive; output; endGroup; ]
(-2*((1/2)^n - 2^n)*Step[-1 + n])/3
;[o]
     1 n    n
-2 ((-)  - 2 ) Step[-1 + n]
     2
---------------------------
             3
:[font = subsection; inactive; ]
(e) Plot the discrete-time Fourier transform if it exists
:[font = text; inactive; ]
	The discrete-time Fourier transform (DTFT) only exists for stable sequences.  A sequence is stable if the unit circle is in the region of convergence.  Of the three impulse responses, only the one corresponding to a region of convergence of (1/2, 2) is stable.
:[font = text; inactive; ]
	The DTFT can be obtained directly from the z-transform of a stable sequence.
:[font = input; startGroup; pageBreak; ]
Hdtft[w] = H[z] /. z -> Exp[I w]
:[font = output; inactive; output; endGroup; ]
(-5/2 + E^(-I*w) + E^(I*w))^(-1)
;[o]
         1
-------------------
  5     -I w    I w
-(-) + E     + E
  2
:[font = input; startGroup; ]
MagPhasePlot[ Hdtft[w], {w, 0, 2 Pi} ]
:[font = postscript; inactive; PostScript; output; startGroup; pictureLeft = 58; pictureWidth = 322; pictureHeight = 199; preserveAspect; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.15158 -0.05886 0.33109 [
[(Magnitude Response)] 0.5 0.62428 0 -1 Msboxa
[(1)] 0.17539 0.25973 0 1 Msboxa
[(2)] 0.32696 0.25973 0 1 Msboxa
[(3)] 0.47854 0.25973 0 1 Msboxa
[(4)] 0.63011 0.25973 0 1 Msboxa
[(5)] 0.78169 0.25973 0 1 Msboxa
[(6)] 0.93327 0.25973 0 1 Msboxa
[(w)] 1.00625 0.27223 -1 0 Msboxa
[(0.25)] 0.01131 0.02391 1 0 Msboxa
[(0.5)] 0.01131 0.10668 1 0 Msboxa
[(0.75)] 0.01131 0.18946 1 0 Msboxa
[(1.25)] 0.01131 0.355 1 0 Msboxa
[(1.5)] 0.01131 0.43777 1 0 Msboxa
[(1.75)] 0.01131 0.52055 1 0 Msboxa
[(2)] 0.01131 0.60332 1 0 Msboxa
[( )] 0.02381 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Magnitude Response)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.27223 moveto
1 0.27223 lineto
stroke
0.17539 0.26598 moveto
0.17539 0.27848 lineto
stroke
0 setgray
[(1)] 0.17539 0.25973 0 1 Mshowa
0.32696 0.26598 moveto
0.32696 0.27848 lineto
stroke
0 setgray
[(2)] 0.32696 0.25973 0 1 Mshowa
0.47854 0.26598 moveto
0.47854 0.27848 lineto
stroke
0 setgray
[(3)] 0.47854 0.25973 0 1 Mshowa
0.63011 0.26598 moveto
0.63011 0.27848 lineto
stroke
0 setgray
[(4)] 0.63011 0.25973 0 1 Mshowa
0.78169 0.26598 moveto
0.78169 0.27848 lineto
stroke
0 setgray
[(5)] 0.78169 0.25973 0 1 Mshowa
0.93327 0.26598 moveto
0.93327 0.27848 lineto
stroke
0 setgray
[(6)] 0.93327 0.25973 0 1 Mshowa
0 setgray
[(w)] 1.00625 0.27223 -1 0 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.02391 moveto
0.03006 0.02391 lineto
stroke
0 setgray
[(0.25)] 0.01131 0.02391 1 0 Mshowa
0.01756 0.10668 moveto
0.03006 0.10668 lineto
stroke
0 setgray
[(0.5)] 0.01131 0.10668 1 0 Mshowa
0.01756 0.18946 moveto
0.03006 0.18946 lineto
stroke
0 setgray
[(0.75)] 0.01131 0.18946 1 0 Mshowa
0.01756 0.355 moveto
0.03006 0.355 lineto
stroke
0 setgray
[(1.25)] 0.01131 0.355 1 0 Mshowa
0.01756 0.43777 moveto
0.03006 0.43777 lineto
stroke
0 setgray
[(1.5)] 0.01131 0.43777 1 0 Mshowa
0.01756 0.52055 moveto
0.03006 0.52055 lineto
stroke
0 setgray
[(1.75)] 0.01131 0.52055 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(2)] 0.01131 0.60332 1 0 Mshowa
0 setgray
[( )] 0.02381 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.02505 0.60323 lineto
0.02629 0.60296 lineto
0.02753 0.60252 lineto
0.02877 0.6019 lineto
0.03001 0.60111 lineto
0.03125 0.60014 lineto
0.03373 0.5977 lineto
0.03869 0.59081 lineto
0.04365 0.58141 lineto
0.05357 0.55606 lineto
0.06349 0.52389 lineto
0.10317 0.37227 lineto
0.12302 0.30366 lineto
0.14286 0.24607 lineto
0.1627 0.1993 lineto
0.18254 0.16187 lineto
0.22222 0.10816 lineto
0.24206 0.08902 lineto
0.2619 0.07358 lineto
0.28175 0.06105 lineto
0.30159 0.05086 lineto
0.34127 0.03574 lineto
0.36111 0.0302 lineto
0.38095 0.02573 lineto
0.40079 0.02216 lineto
0.42063 0.01937 lineto
0.44048 0.01729 lineto
0.4504 0.01649 lineto
0.46032 0.01585 lineto
0.47024 0.01535 lineto
0.4752 0.01515 lineto
0.48016 0.015 lineto
0.48512 0.01487 lineto
0.4876 0.01482 lineto
0.49008 0.01479 lineto
0.49256 0.01475 lineto
0.4938 0.01474 lineto
0.49504 0.01473 lineto
0.49628 0.01472 lineto
0.49752 0.01472 lineto
0.49876 0.01472 lineto
0.5 0.01472 lineto
0.50124 0.01472 lineto
0.50248 0.01472 lineto
0.50372 0.01472 lineto
0.50496 0.01473 lineto
0.50744 0.01475 lineto
0.50992 0.01479 lineto
0.5124 0.01482 lineto
Mistroke
0.51488 0.01487 lineto
0.51984 0.015 lineto
0.5248 0.01515 lineto
0.52976 0.01535 lineto
0.53968 0.01585 lineto
0.5496 0.01649 lineto
0.55952 0.01729 lineto
0.57937 0.01937 lineto
0.59921 0.02216 lineto
0.61905 0.02573 lineto
0.63889 0.0302 lineto
0.65873 0.03574 lineto
0.69841 0.05086 lineto
0.71825 0.06105 lineto
0.7381 0.07358 lineto
0.75794 0.08902 lineto
0.77778 0.10816 lineto
0.81746 0.16187 lineto
0.8373 0.1993 lineto
0.85714 0.24607 lineto
0.89683 0.37227 lineto
0.93651 0.52389 lineto
0.94643 0.55606 lineto
0.95139 0.56974 lineto
0.95635 0.58141 lineto
0.96131 0.59081 lineto
0.96379 0.59458 lineto
0.96627 0.5977 lineto
0.96875 0.60014 lineto
0.96999 0.60111 lineto
0.97123 0.6019 lineto
0.97247 0.60252 lineto
0.97371 0.60296 lineto
0.97495 0.60323 lineto
0.97619 0.60332 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; inactive; PostScript; output; pictureLeft = 58; pictureWidth = 322; pictureHeight = 199; preserveAspect; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.15158 0.30902 0.00164 [
[(Phase Response \(degrees\))] 0.5 0.62428 0 -1 Msboxa
[(1)] 0.17539 0.29652 0 1 Msboxa
[(2)] 0.32696 0.29652 0 1 Msboxa
[(3)] 0.47854 0.29652 0 1 Msboxa
[(4)] 0.63011 0.29652 0 1 Msboxa
[(5)] 0.78169 0.29652 0 1 Msboxa
[(6)] 0.93327 0.29652 0 1 Msboxa
[(w)] 1.00625 0.30902 -1 0 Msboxa
[(-150)] 0.01131 0.06377 1 0 Msboxa
[(-100)] 0.01131 0.14552 1 0 Msboxa
[(-50)] 0.01131 0.22727 1 0 Msboxa
[(50)] 0.01131 0.39077 1 0 Msboxa
[(100)] 0.01131 0.47252 1 0 Msboxa
[(150)] 0.01131 0.55427 1 0 Msboxa
[( )] 0.02381 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Phase Response \(degrees\))] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
0.17539 0.30277 moveto
0.17539 0.31527 lineto
stroke
0 setgray
[(1)] 0.17539 0.29652 0 1 Mshowa
0.32696 0.30277 moveto
0.32696 0.31527 lineto
stroke
0 setgray
[(2)] 0.32696 0.29652 0 1 Mshowa
0.47854 0.30277 moveto
0.47854 0.31527 lineto
stroke
0 setgray
[(3)] 0.47854 0.29652 0 1 Mshowa
0.63011 0.30277 moveto
0.63011 0.31527 lineto
stroke
0 setgray
[(4)] 0.63011 0.29652 0 1 Mshowa
0.78169 0.30277 moveto
0.78169 0.31527 lineto
stroke
0 setgray
[(5)] 0.78169 0.29652 0 1 Mshowa
0.93327 0.30277 moveto
0.93327 0.31527 lineto
stroke
0 setgray
[(6)] 0.93327 0.29652 0 1 Mshowa
0 setgray
[(w)] 1.00625 0.30902 -1 0 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.06377 moveto
0.03006 0.06377 lineto
stroke
0 setgray
[(-150)] 0.01131 0.06377 1 0 Mshowa
0.01756 0.14552 moveto
0.03006 0.14552 lineto
stroke
0 setgray
[(-100)] 0.01131 0.14552 1 0 Mshowa
0.01756 0.22727 moveto
0.03006 0.22727 lineto
stroke
0 setgray
[(-50)] 0.01131 0.22727 1 0 Mshowa
0.01756 0.39077 moveto
0.03006 0.39077 lineto
stroke
0 setgray
[(50)] 0.01131 0.39077 1 0 Mshowa
0.01756 0.47252 moveto
0.03006 0.47252 lineto
stroke
0 setgray
[(100)] 0.01131 0.47252 1 0 Mshowa
0.01756 0.55427 moveto
0.03006 0.55427 lineto
stroke
0 setgray
[(150)] 0.01131 0.55427 1 0 Mshowa
0 setgray
[( )] 0.02381 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.02505 0.01472 lineto
0.02629 0.01472 lineto
0.02877 0.01472 lineto
0.03373 0.01472 lineto
0.04365 0.01472 lineto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.95635 0.01472 lineto
0.96131 0.01472 lineto
0.96627 0.01472 lineto
0.96875 0.01472 lineto
0.97123 0.01472 lineto
0.97371 0.01472 lineto
0.97495 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; inactive; output; endGroup; endGroup; ]
{Graphics[{{Line[{{0., 2.}, 
       {0.00818123086872342, 1.99973230717373}, 
       {0.01636246173744684, 1.998929676379524}, 
       {0.02454369260617026, 1.997593448802543}, 
       {0.03272492347489368, 1.995725853537102}, 
       {0.04090615434361709, 1.993329998315955}, 
       {0.04908738521234052, 1.99040985663212}, 
       {0.06544984694978735, 1.983016834948931}, 
       {0.098174770424681, 1.962205771538596}, 
       {0.1308996938995747, 1.933823487928752}, 
       {0.1963495408493621, 1.857253573463224}, 
       {0.2617993877991494, 1.760103685133975}, 
       {0.5235987755982988, 1.302169479251963}, 
       {0.6544984694978735, 1.094938481141819}, 
       {0.7853981633974483, 0.920991426440728}, 
       {0.916297857297023, 0.7797409928524088}, 
       {1.047197551196598, 0.6666666666666666}, 
       {1.308996938995747, 0.5044487563340203}, 
       {1.439896632895322, 0.4466384086212435}, 
       {1.570796326794897, 0.4}, 
       {1.701696020694471, 0.3621807415301118}, 
       {1.832595714594046, 0.331385000489589}, 
       {2.094395102393195, 0.2857142857142857}, 
       {2.22529479629277, 0.2689963285211113}, 
       {2.356194490192345, 0.2554791617945659}, 
       {2.487094184091919, 0.2446958096482403}, 
       {2.617993877991494, 0.2362920592095762}, 
       {2.748893571891069, 0.2300035455149601}, 
       {2.814343418840856, 0.227590305803175}, 
       {2.879793265790644, 0.2256393215278925}, 
       {2.945243112740431, 0.2241363184490896}, 
       {2.977968036215325, 0.2235492770919031}, 
       {3.010692959690219, 0.2230703991948941}, 
       {3.043417883165112, 0.2226988247604453}, 
       {3.059780344902559, 0.222553060768569}, 
       {3.076142806640006, 0.2224338880126982}, 
       {3.092505268377453, 0.2223412532341855}, 
       {3.100686499246176, 0.2223048741935742}, 
       {3.108867730114899, 0.2222751150579085}, 
       {3.117048960983623, 0.2222519725061558}, 
       {3.125230191852346, 0.2222354439560433}, 
       {3.133411422721069, 0.2222255275634938}, 
       {3.141592653589793, 0.2222222222222222}, 
       {3.149773884458517, 0.2222255275634938}, 
       {3.15795511532724, 0.2222354439560433}, 
       {3.166136346195963, 0.2222519725061558}, 
       {3.174317577064687, 0.2222751150579085}, 
       {3.190680038802133, 0.2223412532341855}, 
       {3.20704250053958, 0.2224338880126982}, 
       {3.223404962277027, 0.222553060768569}, 
       {3.239767424014474, 0.2226988247604453}, 
       {3.272492347489368, 0.2230703991948941}, 
       {3.305217270964262, 0.2235492770919031}, 
       {3.337942194439155, 0.2241363184490896}, 
       {3.403392041388942, 0.2256393215278925}, 
       {3.46884188833873, 0.227590305803175}, 
       {3.534291735288517, 0.2300035455149601}, 
       {3.665191429188092, 0.2362920592095762}, 
       {3.796091123087666, 0.2446958096482403}, 
       {3.926990816987241, 0.2554791617945658}, 
       {4.057890510886816, 0.2689963285211112}, 
       {4.188790204786391, 0.2857142857142856}, 
       {4.45058959258554, 0.3313850004895887}, 
       {4.581489286485114, 0.3621807415301116}, 
       {4.71238898038469, 0.4}, 
       {4.843288674284264, 0.4466384086212433}, 
       {4.974188368183839, 0.50444875633402}, 
       {5.235987755982988, 0.6666666666666661}, 
       {5.366887449882563, 0.7797409928524086}, 
       {5.497787143782138, 0.920991426440728}, 
       {5.759586531581287, 1.302169479251961}, 
       {6.021385919380436, 1.760103685133975}, 
       {6.086835766330223, 1.857253573463222}, 
       {6.119560689805117, 1.898565940852305}, 
       {6.152285613280011, 1.933823487928751}, 
       {6.185010536754905, 1.962205771538595}, 
       {6.201372998492351, 1.973595185614265}, 
       {6.217735460229799, 1.983016834948931}, 
       {6.234097921967246, 1.99040985663212}, 
       {6.24227915283597, 1.993329998315955}, 
       {6.250460383704692, 1.995725853537102}, 
       {6.258641614573415, 1.997593448802542}, 
       {6.266822845442139, 1.998929676379524}, 
       {6.275004076310863, 1.99973230717373}, 
       {6.283185307179586, 2.}}]}}, 
   DisplayFunction :> $DisplayFunction, 
   PlotRange -> All, 
   PlotLabel -> "Magnitude Response", 
   PlotRange -> All, Ticks -> Automatic, 
   AxesLabel -> {"w", " "}, 
   {PlotRange -> All, 
    AspectRatio -> GoldenRatio^(-1), 
    DisplayFunction -> Identity, 
    PlotColor -> Automatic, Axes -> Automatic, 
    PlotLabel -> None, AxesLabel -> None, 
    Ticks -> Automatic, Framed -> False, 
    Prolog -> {}, Epilog -> {}, AxesStyle -> {}, 
    Background -> Automatic, 
    DefaultColor -> Automatic}], 
  Graphics[{{Line[{{0., 180.}, 
       {0.00818123086872342, -180.}, 
       {0.01636246173744684, -180.}, 
       {0.03272492347489368, -180.}, 
       {0.06544984694978735, -180.}, 
       {0.1308996938995747, -180.}, 
       {0.2617993877991494, -180.}, 
       {0.5235987755982988, -180.}, 
       {0.7853981633974483, -180.}, 
       {1.047197551196598, -180.}, 
       {1.308996938995747, -180.}, 
       {1.570796326794897, -180.}, 
       {1.832595714594046, -180.}, 
       {2.094395102393195, -180.}, 
       {2.356194490192345, -180.}, 
       {2.617993877991494, -180.}, 
       {2.879793265790644, -180.}, 
       {3.141592653589793, -180.}, 
       {3.403392041388942, -180.}, 
       {3.665191429188092, -180.}, 
       {3.926990816987241, -180.}, 
       {4.188790204786391, -180.}, 
       {4.45058959258554, -180.}, 
       {4.71238898038469, -180.}, 
       {4.974188368183839, -180.}, 
       {5.235987755982988, -180.}, 
       {5.497787143782138, -180.}, 
       {5.759586531581287, -180.}, 
       {6.021385919380436, -180.}, 
       {6.152285613280011, -180.}, 
       {6.185010536754905, -180.}, 
       {6.217735460229799, -180.}, 
       {6.234097921967246, -180.}, 
       {6.250460383704692, -180.}, 
       {6.266822845442139, -180.}, 
       {6.275004076310863, -180.}, 
       {6.283185307179586, -180.}}]}}, 
   {PlotRange -> All, 
    AspectRatio -> GoldenRatio^(-1), 
    DisplayFunction -> 
     (Display[$Display, #1] & ), 
    PlotColor -> Automatic, Axes -> Automatic, 
    PlotLabel -> "Phase Response (degrees)", 
    AxesLabel -> {"w", " "}, Ticks -> Automatic, 
    Framed -> False, Prolog -> {}, Epilog -> {}, 
    AxesStyle -> {}, Background -> Automatic, 
    DefaultColor -> Automatic}]}
;[o]
{-Graphics-, -Graphics-}
:[font = subsection; inactive; ]
(f) Show that H(z) = H*(z*)
:[font = text; inactive; ]
	H(z) can be factored into the following form:
:[font = input; startGroup; ]
Hfactored[z] = 1 / (( z - 2 )( 1 - 1/2 z^-1 ))
:[font = output; inactive; output; endGroup; ]
1/((1 - 1/(2*z))*(-2 + z))
;[o]
        1
------------------
      1
(1 - ---) (-2 + z)
     2 z
:[font = text; inactive; ]
Since the poles are real-valued, H(z) = H*(z*).  This is true because:
:[font = text; inactive; ]
(1) for real a, the conjugate of 1/(z*+a) is 1/(z+a), and
:[font = text; inactive; ]
(2) the conjugate of b times c is the conjugate of b times the conjugate of c.  
:[font = text; inactive; ]
H*(z*) can be written (with * denoting conjugation) as
:[font = print; inactive; center; ]
           1            *   
( -------------------- )   =
        1                   
  (1 - ----) (-2 + z*)      
       2 z*                 
:[font = print; inactive; center; ]
    1            1        
----------   ---------   =
      1   *           *   
(1 - ----)   (-2 + z*)    
     2 z*                 
:[font = print; inactive; center; ]
         1        
------------------
      1           
(1 - ---) (-2 + z)
     2 z          
:[font = text; inactive; ]
The same steps will be generated by evaluating
:[font = input; ]
Hstar[zstar] =
Conjugate[ Hfactored[z] /. z -> Conjugate[z] ];
SPSimplify[ Hstar[zstar], Dialogue -> All ]
:[font = subsection; inactive; ]
(g) Find the pole-zero plot of H(1/z)
:[font = text; inactive; ]
	First, we will need to generate H[1/z]:
:[font = input; startGroup; ]
Hflipped[z] = H[z] /. z -> 1/z
:[font = output; inactive; output; endGroup; ]
(-5/2 + z^(-1) + z)^(-1)
;[o]
     1
------------
  5    1
-(-) + - + z
  2    z
:[font = text; inactive; ]
Notice that this is the same as H[z]:
:[font = input; startGroup; ]
H[z]
:[font = output; inactive; output; endGroup; ]
(-5/2 + z^(-1) + z)^(-1)
;[o]
     1
------------
  5    1
-(-) + - + z
  2    z
:[font = text; inactive; ]
	In order to plot the pole-zero diagram, we will need to specify a region of convergence.   The possible regions of convergence for H(1/z) are the same as for H(z).  This time, we will use a different ROC, say (2, Infinity):
:[font = input; startGroup; ]
PoleZeroPlot[ Hflipped[z], z, 2, Infinity, True ]
:[font = print; inactive; startGroup; ]
The zeroes are:  {0.}
:[font = print; inactive; ]
The poles are:   {0.5, 2.}
:[font = postscript; inactive; PostScript; output; endGroup; pictureLeft = 81; pictureWidth = 268; pictureHeight = 268; preserveAspect; ]
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
% Scaling calculations
0.5 0.2 0.5 0.2 [
[(-2)] 0.1 0.4875 0 1 Msboxa
[(-1)] 0.3 0.4875 0 1 Msboxa
[(1)] 0.7 0.4875 0 1 Msboxa
[(2)] 0.9 0.4875 0 1 Msboxa
[(Re z)] 1.00625 0.5 -1 0 Msboxa
[(-2)] 0.4875 0.1 1 0 Msboxa
[(-1)] 0.4875 0.3 1 0 Msboxa
[(1)] 0.4875 0.7 1 0 Msboxa
[(2)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1.00625 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
0.1 0.49375 moveto
0.1 0.50625 lineto
stroke
0 setgray
[(-2)] 0.1 0.4875 0 1 Mshowa
0.3 0.49375 moveto
0.3 0.50625 lineto
stroke
0 setgray
[(-1)] 0.3 0.4875 0 1 Mshowa
0.7 0.49375 moveto
0.7 0.50625 lineto
stroke
0 setgray
[(1)] 0.7 0.4875 0 1 Mshowa
0.9 0.49375 moveto
0.9 0.50625 lineto
stroke
0 setgray
[(2)] 0.9 0.4875 0 1 Mshowa
0 setgray
[(Re z)] 1.00625 0.5 -1 0 Mshowa
0.5 0 moveto
0.5 1 lineto
stroke
0.49375 0.1 moveto
0.50625 0.1 lineto
stroke
0 setgray
[(-2)] 0.4875 0.1 1 0 Mshowa
0.49375 0.3 moveto
0.50625 0.3 lineto
stroke
0 setgray
[(-1)] 0.4875 0.3 1 0 Mshowa
0.49375 0.7 moveto
0.50625 0.7 lineto
stroke
0 setgray
[(1)] 0.4875 0.7 1 0 Mshowa
0.49375 0.9 moveto
0.50625 0.9 lineto
stroke
0 setgray
[(2)] 0.4875 0.9 1 0 Mshowa
0 setgray
[(Im z)] 0.5 1.00625 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.5 0.5 0.2 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
grestore
gsave
0.008 setlinewidth
0.5 0.5 Mdot
grestore
gsave
gsave
0.004 setlinewidth
1.25175 0.77362 moveto
0.87588 0.63681 lineto
stroke
0.11125 0.4058 moveto
-0.26579 0.26857 lineto
stroke
0.10312 0.45014 moveto
-0.2775 0.31161 lineto
stroke
0.10002 0.49631 moveto
-0.28684 0.3555 lineto
stroke
0.10248 0.5445 moveto
-0.29376 0.40028 lineto
stroke
0.11146 0.59507 moveto
-0.29817 0.44597 lineto
stroke
0.12863 0.64861 moveto
-0.29997 0.49262 lineto
stroke
0.15734 0.70636 moveto
-0.29899 0.54027 lineto
stroke
0.20619 0.77144 moveto
-0.29503 0.58901 lineto
stroke
0.36319 0.87588 moveto
-0.28785 0.63892 lineto
stroke
0.97306 1.14515 moveto
-0.27708 0.69013 lineto
stroke
0.92784 1.17598 moveto
-0.26226 0.74283 lineto
stroke
0.87791 1.20511 moveto
-0.24274 0.79723 lineto
stroke
0.82235 1.23218 moveto
-0.21757 0.85368 lineto
stroke
0.75969 1.25668 moveto
-0.18532 0.91272 lineto
stroke
0.68753 1.27771 moveto
-0.14356 0.97521 lineto
stroke
0.60118 1.29358 moveto
-0.08761 1.04288 lineto
stroke
0.48866 1.29992 moveto
-0.0055 1.12006 lineto
stroke
1.0055 -0.12006 moveto
0.51134 -0.29992 lineto
stroke
1.08761 -0.04288 moveto
0.39882 -0.29358 lineto
stroke
1.14356 0.02479 moveto
0.31247 -0.27771 lineto
stroke
1.18532 0.08728 moveto
0.24031 -0.25668 lineto
stroke
1.21757 0.14632 moveto
0.17765 -0.23218 lineto
stroke
1.24274 0.20277 moveto
0.12209 -0.20511 lineto
stroke
1.26226 0.25717 moveto
0.07216 -0.17598 lineto
stroke
1.27708 0.30987 moveto
0.02694 -0.14515 lineto
stroke
0.63681 0.12412 moveto
-0.01423 -0.11284 lineto
stroke
0.44941 0.10321 moveto
-0.05182 -0.07922 lineto
stroke
0.37015 0.12166 moveto
-0.08617 -0.04443 lineto
stroke
0.31104 0.14744 moveto
-0.11756 -0.00855 lineto
stroke
0.26347 0.17743 moveto
-0.14616 0.02833 lineto
stroke
0.22409 0.21039 moveto
-0.17215 0.06617 lineto
stroke
0.19122 0.24572 moveto
-0.19564 0.10492 lineto
stroke
0.16392 0.28308 moveto
-0.2167 0.14455 lineto
stroke
0.14165 0.32227 moveto
-0.23539 0.18504 lineto
stroke
0.12412 0.36319 moveto
-0.25175 0.22638 lineto
stroke
1.23539 0.81496 moveto
0.85835 0.67773 lineto
stroke
1.26579 0.73143 moveto
0.88875 0.5942 lineto
stroke
1.2167 0.85545 moveto
0.83608 0.71692 lineto
stroke
1.2775 0.68839 moveto
0.89688 0.54986 lineto
stroke
1.19564 0.89508 moveto
0.80878 0.75428 lineto
stroke
1.28684 0.6445 moveto
0.89998 0.50369 lineto
stroke
1.17215 0.93383 moveto
0.77591 0.78961 lineto
stroke
1.29376 0.59972 moveto
0.89752 0.4555 lineto
stroke
1.14616 0.97167 moveto
0.73653 0.82257 lineto
stroke
1.29817 0.55403 moveto
0.88854 0.40493 lineto
stroke
1.11756 1.00855 moveto
0.68896 0.85256 lineto
stroke
1.29997 0.50738 moveto
0.87137 0.35139 lineto
stroke
1.08617 1.04443 moveto
0.62985 0.87834 lineto
stroke
1.29899 0.45973 moveto
0.84266 0.29364 lineto
stroke
1.05182 1.07922 moveto
0.55059 0.89679 lineto
stroke
1.29503 0.41099 moveto
0.79381 0.22856 lineto
stroke
1.01423 1.11284 moveto
0.36319 0.87588 lineto
stroke
1.28785 0.36108 moveto
0.63681 0.12412 lineto
stroke
grestore
grestore
gsave
gsave
0 setgray
gsave
Bold 18 scalefont setfont
[(O)] 0.5 0.5 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0 setgray
gsave
Bold 18 scalefont setfont
[(X)] 0.6 0.5 0 0 Mshowa
grestore
0 setgray
gsave
Bold 18 scalefont setfont
[(X)] 0.9 0.5 0 0 Mshowa
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; inactive; output; endGroup; ]
{0.5, 2.}
;[o]
{0.5, 2.}
^*)