;% file: texsis.el                              TeXsis version 2.15  
;% $Revision: 14.1 $  :  $Date: 90/09/12 21:37:54 $  :  $Author: myers$
;%======================================================================*
; GNU emacs support for TeXsis 
;
; The function texsis-mode makes TeXsis the version of TeX run by the
; commands TeX-buffer and TeX-region.  
;
; The function look-for-texsis looks for "\texsis" (or actually, just
; the word "texsis") and sets texsis-mode if such is found.  Put this
; in your TeX-mode-hook to automatically set texsis-mode for TeXsis files.
;
; Eric Myers, University of Texas at Austin, 22 September 1990
;   with help from Leo D. Eskin (lion@navier.stanford.edu)
;======================================================================*

(defun texsis-mode ()  "TeX mode for processing TeXsis files."
  (setq mode-name "TeXsis")        ;; mode name is TeXsis
  (setq TeX-command "texsis")      ;; command to run is "texsis"
 )

(defun look-for-texsis ()  "search for \"texsis\", if found turn on 
         texsis-mode"
  (goto-char (point-min))
;; look for the word "texsis" anywhere in the text
  (if (search-forward "texsis" nil t)
      (texsis-mode))
  (goto-char (point-min))
  )
